## net.sf.saxon.xpath
Class DynamicError

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.xml.transform.TransformerException
                        |
                        +--net.sf.saxon.xpath.XPathException
                              |
                              +--net.sf.saxon.xpath.DynamicError

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  NoOpenStartTagException, TerminationException, XPathException.Circularity

public class DynamicError
extends XPathException

Subclass of XPathException used for dynamic errors

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class net.sf.saxon.xpath.XPathException
`XPathException.Circularity`

Constructor Summary
`DynamicError(java.lang.String message)`
`DynamicError(java.lang.String message, javax.xml.transform.SourceLocator loc)`
`DynamicError(java.lang.String message, javax.xml.transform.SourceLocator loc, java.lang.Throwable err)`
`DynamicError(java.lang.String message, java.lang.Throwable err)`
`DynamicError(java.lang.Throwable err)`

Method Summary
`XPathContext` `getXPathContext()`
`void` `setXPathContext(XPathContext context)`

Methods inherited from class net.sf.saxon.xpath.XPathException
`getErrorCode, hasBeenReported, isTypeError, makeStatic, setErrorCode, setHasBeenReported, setIsTypeError, wrap`

Methods inherited from class javax.xml.transform.TransformerException
`getCause, getException, getLocationAsString, getLocator, getMessageAndLocation, initCause, printStackTrace, printStackTrace, printStackTrace, setLocator`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DynamicError

    public DynamicError(java.lang.String message)

### DynamicError

    public DynamicError(java.lang.Throwable err)

### DynamicError

    public DynamicError(java.lang.String message,
                        java.lang.Throwable err)

### DynamicError

    public DynamicError(java.lang.String message,
                        javax.xml.transform.SourceLocator loc)

### DynamicError

    public DynamicError(java.lang.String message,
                        javax.xml.transform.SourceLocator loc,
                        java.lang.Throwable err)

Method Detail

### setXPathContext

    public void setXPathContext(XPathContext context)

### getXPathContext

    public XPathContext getXPathContext()